package main

import (
	"git.gammaspectra.live/P2Pool/consensus/v3/utils"
	"io"
	"net/http"
	"strings"
)

func EncodeJson(r *http.Request, writer io.Writer, d any) error {
	encoder := utils.NewJSONEncoder(writer)
	if strings.Index(strings.ToLower(r.Header.Get("user-agent")), "mozilla") != -1 {
		encoder.SetIndent("", "    ")
	}
	return encoder.EncodeWithOption(d, utils.JsonEncodeOptions...)
}
